package main

import (
	"flag"
	"strings"

	"github.com/hamcha/clessy/tg"
)

func initmods() {
	initviaggi()
	initmeme()
}

func dispatch(broker *tg.Broker, update tg.APIMessage) {
	metafora(broker, update)
	viaggi(broker, update)
	memegen(broker, update)
}

func isCommand(update tg.APIMessage, cmdname string) bool {
	if update.Text == nil {
		return false
	}

	text := *(update.Text)
	return strings.HasPrefix(text, "/"+cmdname+"@"+*botname) || (strings.HasPrefix(text, "/"+cmdname) && !strings.Contains(text, "@"))
}

var botname *string
var impact *string

func main() {
	brokerAddr := flag.String("broker", "localhost:7314", "Broker address:port")
	botname = flag.String("botname", "maudbot", "Bot name for /targetet@commands")
	impact = flag.String("impact", "impact.ttf", "Path to impact.ttf (Impact font)")
	flag.Parse()

	initmods()

	err := tg.CreateBrokerClient(*brokerAddr, dispatch)
	if err != nil {
		panic(err)
	}
}

func assert(err error) {
	if err != nil {
		panic(err)
	}
}
